# OSD_Signals.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | OSD_Signals { OSD_S_SIGHUP, OSD_S_SIGINT, OSD_S_SIGQUIT, OSD_S_SIGILL, OSD_S_SIGKILL, OSD_S_SIGBUS, OSD_S_SIGSEGV, OSD_S_SIGSYS, OSD_S_SIGFPE, OSD_S_FPE_FLTDIV_TRAP, OSD_S_FPE_INTDIV_TRAP, OSD_S_FPE_FLTOVF_TRAP, OSD_S_FPE_INTOVF_TRAP, OSD_S_FPE_FLTUND_TRAP, OSD_S_FPE_FLTINEX_TRAP }

## Enumeration Type Documentation

enum OSD_Signals

Enumeration values:

  OSD_S_SIGHUP |
  OSD_S_SIGINT |
  OSD_S_SIGQUIT |
  OSD_S_SIGILL |
  OSD_S_SIGKILL |
  OSD_S_SIGBUS |
  OSD_S_SIGSEGV |
  OSD_S_SIGSYS |
  OSD_S_SIGFPE |
  OSD_S_FPE_FLTDIV_TRAP |
  OSD_S_FPE_INTDIV_TRAP |
  OSD_S_FPE_FLTOVF_TRAP |
  OSD_S_FPE_INTOVF_TRAP |
  OSD_S_FPE_FLTUND_TRAP |
  OSD_S_FPE_FLTINEX_TRAP |